%define rname	ru
%define cid	langpack-ru@firefox.mozilla.org
%define ciddir 	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	2.0
Release:	alt3
Summary:	Russian (RU) Language Pack for Firefox

License:	GPL
Group:		Networking/WWW	
URL:		http://www.mozilla.ru/products/firefox/
Packager:	Alexey Gladkov <legion@altlinux.ru>
BuildArch:	noarch

Source0:	ru-%version.xpi
Source1:	ru_yo-dictionary.xpi

BuildRequires(pre):	rpm-build-firefox
BuildRequires:	unzip

Requires: firefox-switch-locales
Requires: %firefox_name >= 2.0

%description
The Mozilla Firefox Russian translation.

%prep
%setup -c

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%postun
if [ "$1" = 0 ]; then
	[ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Wed Mar 14 2007 Alexey Gladkov <legion@altlinux.ru> 2.0-alt3
- Fix archive packaging bug.

* Sat Mar 10 2007 Alexey Gladkov <legion@altlinux.ru> 2.0-alt2
- rebuild with firefox-2.0.0.2

* Wed Nov 22 2006 Alexey Gladkov <legion@altlinux.ru> 2.0-alt1
- new version (2.0-alt1)

* Mon Sep 18 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.0.7-alt1
- new version (1.5.0.7-alt1)

* Fri Aug 11 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.0.6-alt1
- new version (1.5.0.6-alt1)

* Thu Jun 15 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.0.4-alt1
- rebuild with firefox 1.5.0.4

* Mon May 15 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.0.3-alt1
- new version
- rebuild with firefox 1.5.0.3

* Mon Feb 20 2006 Alexey Gladkov <legion@altlinux.ru> 1.5.0.1-alt1
- new version

* Mon Dec 19 2005 Alexey Gladkov <legion@altlinux.ru> 1.5-alt1
- new version

* Fri Aug 26 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.6-alt3
- firefox after firefox-ru installation will be switched to ru_RU.
- postun script bugfix.

* Tue Aug 16 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.6-alt2
- bugfix rebuild.

* Mon Aug 08 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.6-alt1
- new version;

* Tue Jun 21 2005 LAKostis <lakostis at altlinux.ru> 1.0.5-alt1
- rebuild with new firefox.

* Wed Apr 27 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.3-alt1
- new version;

* Sat Mar 05 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.1-alt1.1
- postscript bugfix;

* Wed Mar 02 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.1-alt1
- new version;

* Fri Jan 19 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt2
- rebuild with new firefox.
- Requires to firefox package was relaxed.

* Fri Jan 07 2005 Alexey Gladkov <legion@altlinux.ru> 1.0-alt1
- new version;
- new extension scheme;

* Mon Jul 05 2004 Alexey Gladkov <legion@altlinux.ru> 0.9.2-alt1
- New version;
- New build scheme.

* Thu Mar 11 2004 Alexey Gladkov <legion@altlinux.ru> 0.8-alt1
- New build scheme;
- New version.

* Mon Nov 24 2003 Alexey Gladkov <legion@altlinux.ru> 0.7-alt2
- First build for ALT Linux.
